TypeError: create_volume() takes at least 6 arguments

Bug #1229867 reported by Dan Prince on 2013-09-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Critical
Dan Prince

Bug Description

Today... after d5cd6528f361979b073aabd036be0d28dc1c4b95 landed I'm now seeing the following exceptions in /var/log/cinder/scheduler.log:

2013-09-24 17:29:00.771 10117 ERROR cinder.openstack.common.rpc.impl_qpid [req-8753999e-c616-4e58-b626-3f234da3a7a4 None None] Unable to connect to AMQP server: [Errno 111] ECONNREFUSED. Sleeping 1 seconds
2013-09-24 17:29:01.777 10117 ERROR cinder.openstack.common.rpc.impl_qpid [req-8753999e-c616-4e58-b626-3f234da3a7a4 None None] Unable to connect to AMQP server: [Errno 111] ECONNREFUSED. Sleeping 2 seconds
2013-09-24 17:29:03.781 10117 ERROR cinder.openstack.common.rpc.impl_qpid [req-8753999e-c616-4e58-b626-3f234da3a7a4 None None] Unable to connect to AMQP server: [Errno 111] ECONNREFUSED. Sleeping 4 seconds
2013-09-24 17:29:07.787 10117 ERROR cinder.openstack.common.rpc.impl_qpid [req-8753999e-c616-4e58-b626-3f234da3a7a4 None None] Unable to connect to AMQP server: [Errno 111] ECONNREFUSED. Sleeping 8 seconds
2013-09-24 17:31:47.402 10117 ERROR cinder.volume.flows.create_volume [req-fe4faf9f-c837-4263-b1f6-ed0e85bc1366 fc85ee7925894313aa61221957a7b6ce 5c97c1ad1ea24177936ea41043b403a5] Failed to schedule_create_volume: create_volume() takes at least 6 arguments (7 given)
2013-09-24 17:31:47.428 10117 WARNING cinder.taskflow.utils [-] Activating 3 rollbacks due to <cinder.taskflow.utils.FlowFailure object at 0x3102290>.
2013-09-24 17:31:47.429 10117 ERROR cinder.openstack.common.rpc.amqp [req-fe4faf9f-c837-4263-b1f6-ed0e85bc1366 fc85ee7925894313aa61221957a7b6ce 5c97c1ad1ea24177936ea41043b403a5] Exception during message handling
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp Traceback (most recent call last):
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/openstack/common/rpc/amqp.py", line 441, in _process_data
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp **args)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return getattr(proxyobj, method)(ctxt, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/scheduler/manager.py", line 94, in create_volume
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp flow.run(context)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 105, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(self, *args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/patterns/linear_flow.py", line 232, in run
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp run_it(r)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/patterns/linear_flow.py", line 212, in run_it
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp self.rollback(context, cause)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit__
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/patterns/linear_flow.py", line 172, in run_it
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp result = runner(context, *args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/utils.py", line 260, in __call__
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp self.result = self.task(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 148, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 264, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 199, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 234, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/taskflow/decorators.py", line 177, in wrapper
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp return f(*args, **kwargs)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/volume/flows/create_volume/__init__.py", line 1678, in schedule_create_volume
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp _error_out_volume(context, db, volume_id, reason=e)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit__
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/volume/flows/create_volume/__init__.py", line 1663, in schedule_create_volume
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp filter_properties)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/site-packages/cinder/scheduler/chance.py", line 81, in schedule_create_volume
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp image_id=image_id)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp TypeError: create_volume() takes at least 6 arguments (7 given)
2013-09-24 17:31:47.429 10117 TRACE cinder.openstack.common.rpc.amqp

Dan Prince (dan-prince) on 2013-09-24
Changed in cinder:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
importance: Undecided → Critical

Reviewed: https://review.openstack.org/48103
Committed: http://github.com/openstack/cinder/commit/f4dc301efda13a6a1769b071b1955a4869110b98
Submitter: Jenkins
Branch: master

commit f4dc301efda13a6a1769b071b1955a4869110b98
Author: Dan Prince <email address hidden>
Date: Tue Sep 24 13:49:26 2013 -0400

    Revert "Fix volume_rpcapi calls for chance/simple scheds"

    This reverts commit d5cd6528f361979b073aabd036be0d28dc1c4b95.

    Closes-Bug: #1229867

    Change-Id: Iee866ddb08d52642bc36bd6ae82bd0d7283cad8e

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
milestone: none → havana-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers